Attribute VB_Name = "drivers"
'****************************************************************
'*  vb file:   drivers.bas                                      *
'*                                                              *
'*    El siguiente modulo lo ocupa una funcin que Enumera los  *
'*    drivers y los aade a la lista de Seleccin de drivers    *
'*    Esta funcin nos devuelve el nombre del driver y la       *
'*    versin de este                                           *
'*    Devuelve 0 si no encuentra drivers                        *
'****************************************************************



Public Function Enumerar_Drivers(ByRef frm As FrmMenu) As Long


Const Num_Max_Drivers As Long = 9
Const Long_Max_String As Long = 128

Dim numDrivers As Long
Dim Device As String
Dim Version As String
Dim Menu As VB.Menu
 
Device = String$(Long_Max_String, 0)
Version = String$(Long_Max_String, 0)
numDrivers = 0
For index = 0 To (Num_Max_Drivers - 1) Step 1
    If 0 <> capGetDriverDescription(index, _
                                    Device, _
                                    Long_Max_String, _
                                    Version, _
                                    Long_Max_String) _
                                                            Then
      
        If index > 0 Then
            Load FrmMenu.mnudriver(index)
        End If
        Set Menu = frm.mnudriver(index) 'get an object pointer to the new menu
        'Concatenate the device name and version strings to the new menu item
        Menu.Caption = Left$(Device, InStr(Device, vbNullChar) - 1)
        Menu.Caption = Menu.Caption & " "
        Menu.Caption = Menu.Caption & Left$(Version, InStr(Version, vbNullChar) - 1)
        Menu.Enabled = True
        numDrivers = numDrivers + 1
    End If

Next
VBEnumCapDrivers = numDrivers
End Function

